Get a dated guest-specific price quote
curl --request POST \
--url https://realtycrawl.dev/v1/stays/{stay_id}/quote \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"check_in": "2023-12-25",
"check_out": "2023-12-25",
"guests": {
"adults": 15,
"children_ages": [
8
],
"infants": 1,
"pets": 1
},
"currency": "<string>"
}
'import requests
url = "https://realtycrawl.dev/v1/stays/{stay_id}/quote"
payload = {
"check_in": "2023-12-25",
"check_out": "2023-12-25",
"guests": {
"adults": 15,
"children_ages": [8],
"infants": 1,
"pets": 1
},
"currency": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
check_in: '2023-12-25',
check_out: '2023-12-25',
guests: {adults: 15, children_ages: [8], infants: 1, pets: 1},
currency: '<string>'
})
};
fetch('https://realtycrawl.dev/v1/stays/{stay_id}/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"stay_id": "<string>",
"check_in": "2023-12-25",
"check_out": "2023-12-25",
"guests": {
"adults": 15,
"children_ages": [
8
],
"infants": 1,
"pets": 1
},
"total": {
"amount": "<string>",
"currency": "<string>",
"kind": "asking",
"min": "<string>",
"max": "<string>",
"unit_code": "<string>",
"period": "night",
"per_area_unit": "<string>",
"display_text": "<string>"
},
"price_completeness": "all_in",
"quoted_at": "2023-11-07T05:31:56Z",
"source": {
"platform": "<string>",
"provider": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"access_class": "public_portal",
"country": "<string>",
"native_id": "<string>",
"url": "<string>",
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z"
},
"fees": [
{
"amount": "<string>",
"currency": "<string>",
"kind": "asking",
"min": "<string>",
"max": "<string>",
"unit_code": "<string>",
"period": "night",
"per_area_unit": "<string>",
"display_text": "<string>"
}
],
"taxes_included": true,
"cancellation_text": "<string>"
},
"meta": {
"request_id": "<string>",
"schema_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"completeness": "complete",
"sources": [
{
"platform": "<string>",
"status": "success",
"provider": "<string>",
"error_code": "<string>",
"truncated": true,
"observed_at": "2023-11-07T05:31:56Z"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"returned": 123,
"total": 123,
"total_relation": "exact"
},
"property_groups": [
{
"property_id": "<string>",
"listing_ids": [
"<string>"
],
"match_method": "<string>",
"status": "matched",
"confidence": 123
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": [
{
"platform": "<string>",
"status": "success",
"provider": "<string>",
"error_code": "<string>",
"truncated": true,
"observed_at": "2023-11-07T05:31:56Z"
}
]
},
"request_id": "<string>"
}Stays
Get a dated guest-specific price quote
Proposed interface. Enable only for documented and verified source/country capabilities. Booking/Rapid pricing or independently verified scraper quote
POST
/
v1
/
stays
/
{stay_id}
/
quote
Get a dated guest-specific price quote
curl --request POST \
--url https://realtycrawl.dev/v1/stays/{stay_id}/quote \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"check_in": "2023-12-25",
"check_out": "2023-12-25",
"guests": {
"adults": 15,
"children_ages": [
8
],
"infants": 1,
"pets": 1
},
"currency": "<string>"
}
'import requests
url = "https://realtycrawl.dev/v1/stays/{stay_id}/quote"
payload = {
"check_in": "2023-12-25",
"check_out": "2023-12-25",
"guests": {
"adults": 15,
"children_ages": [8],
"infants": 1,
"pets": 1
},
"currency": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
check_in: '2023-12-25',
check_out: '2023-12-25',
guests: {adults: 15, children_ages: [8], infants: 1, pets: 1},
currency: '<string>'
})
};
fetch('https://realtycrawl.dev/v1/stays/{stay_id}/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"stay_id": "<string>",
"check_in": "2023-12-25",
"check_out": "2023-12-25",
"guests": {
"adults": 15,
"children_ages": [
8
],
"infants": 1,
"pets": 1
},
"total": {
"amount": "<string>",
"currency": "<string>",
"kind": "asking",
"min": "<string>",
"max": "<string>",
"unit_code": "<string>",
"period": "night",
"per_area_unit": "<string>",
"display_text": "<string>"
},
"price_completeness": "all_in",
"quoted_at": "2023-11-07T05:31:56Z",
"source": {
"platform": "<string>",
"provider": "<string>",
"observed_at": "2023-11-07T05:31:56Z",
"access_class": "public_portal",
"country": "<string>",
"native_id": "<string>",
"url": "<string>",
"source_updated_at": "2023-11-07T05:31:56Z",
"retrieved_at": "2023-11-07T05:31:56Z"
},
"fees": [
{
"amount": "<string>",
"currency": "<string>",
"kind": "asking",
"min": "<string>",
"max": "<string>",
"unit_code": "<string>",
"period": "night",
"per_area_unit": "<string>",
"display_text": "<string>"
}
],
"taxes_included": true,
"cancellation_text": "<string>"
},
"meta": {
"request_id": "<string>",
"schema_version": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"completeness": "complete",
"sources": [
{
"platform": "<string>",
"status": "success",
"provider": "<string>",
"error_code": "<string>",
"truncated": true,
"observed_at": "2023-11-07T05:31:56Z"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"returned": 123,
"total": 123,
"total_relation": "exact"
},
"property_groups": [
{
"property_id": "<string>",
"listing_ids": [
"<string>"
],
"match_method": "<string>",
"status": "matched",
"confidence": 123
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": [
{
"platform": "<string>",
"status": "success",
"provider": "<string>",
"error_code": "<string>",
"truncated": true,
"observed_at": "2023-11-07T05:31:56Z"
}
]
},
"request_id": "<string>"
}This operation is defined in the API contract but is not currently enabled.
Check live capabilities before calling this operation. A documented contract does not imply active coverage for every source or country.
Authorizations
Path Parameters
Minimum string length:
1Body
application/json
⌘I